
public class Class80 {

   public int anInt812;
   public Class80 aClass80_813;
   public int anInt814;
   public byte aByte815;
   public int anInt816;
   public int anInt817;
   public int anInt818;
   public int anInt819;
   public int anInt820;
   public int anInt821;
   public int anInt822;
   public int anInt823;
   int anInt824;
   public int anInt825;
   public int anInt826;


   Class80 method1639(int var1, int var2, int var3) {
      return new Class80(1057484121 * this.anInt824, var1, var2, var3, this.aByte815);
   }

   public Class364 method1640(int var1) {
      return Class225_Sub44.method14164(this.anInt824 * 1057484121, (byte)38);
   }

   Class80(int var1, int var2, int var3, int var4, byte var5) {
      this.anInt824 = var1 * 2091879145;
      this.anInt823 = var2 * -1392597827;
      this.anInt817 = -939518721 * var3;
      this.anInt816 = var4 * -553324705;
      this.aByte815 = var5;
   }

   public Class364 method1641() {
      return Class225_Sub44.method14164(this.anInt824 * 1057484121, (byte)23);
   }

   Class80 method1642(int var1, int var2, int var3) {
      return new Class80(1057484121 * this.anInt824, var1, var2, var3, this.aByte815);
   }

   Class80 method1643(int var1, int var2, int var3, int var4) {
      return new Class80(1057484121 * this.anInt824, var1, var2, var3, this.aByte815);
   }

   static final void method1644(Class508 var0, byte var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= 3) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class414.method7101(var3, var4, var0, (byte)0);
   }

   static final void method1645(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class384.method6633(var3, var4, var0, -1505357579);
   }

   static void method1646(int var0) {
      Class311.aClass564_3932.method11976((byte)35);
   }
}
